using Nirvana.Common;

namespace YBDevice.Entity
{
    /// <summary>
    /// 设备协议类型定义
    /// </summary>
    public enum DeviceProType
    {
        /// <summary>
        /// 身高体重体脂
        /// </summary>
        [EnumTitle("身高体重体脂")]
        HWT = 1,
        /// <summary>
        /// 体重体脂
        /// </summary>
        [EnumTitle("体重体脂")]
        WT = 2,
        /// <summary>
        /// 八电极体重体脂
        /// </summary>
        [EnumTitle("八电极体重体脂")]
        WT8 = 3,
        /// <summary>
        /// 家用体重体脂
        /// </summary>
        [EnumTitle("家用体重体脂")]
        WTF = 4,
        /// <summary>
        /// 身高
        /// </summary>
        [EnumTitle("身高")]
        H = 5
    }
    /// <summary>
    /// 设备版本
    /// </summary>
    public enum DeviceVerType
    {
        /// <summary>
        /// 基础版
        /// </summary>
        [EnumTitle("基础版")]
        Base = 1,
        /// <summary>
        /// 基础版
        /// </summary>
        [EnumTitle("高级版")]
        Pro = 2,
        /// <summary>
        /// 基础版
        /// </summary>
        [EnumTitle("婴儿版")]
        Baby = 3,
        /// <summary>
        /// 基础版
        /// </summary>
        [EnumTitle("妈妈版")]
        Mom = 4
    }

    /// <summary>
    /// 设备状态定义
    /// </summary>
    public enum DeviceStatus
    {
        /// <summary>
        /// 禁用
        /// </summary>
        [EnumTitle("停止运行")]
        Stop = 0,
        /// <summary>
        /// 正常运行
        /// </summary>
        [EnumTitle("正常运行")]
        Run = 1,
        /// <summary>
        /// 待激活
        /// </summary>
        [EnumTitle("待激活")]
        UnActive = 2
    }
    /// <summary>
    /// 测量结果类型
    /// </summary>
    public enum ResultType
    {
        /// <summary>
        /// 单阻抗
        /// </summary>
        [EnumTitle("单阻抗")]
        Single = 1,
        /// <summary>
        /// 八电极
        /// </summary>
        [EnumTitle("八电极")]
        Five = 2
    }
}
